Think you have a false positive on this rule?

Sid 1-16002

Message

FILE-OTHER Apple Mac OS X installer package filename format string vulnerability

Summary

Format string vulnerability in Apple Installer 2.1.5 on Mac OS X 10.4.8 allows user-assisted remote attackers to execute arbitrary code via format string specifiers in a (1) PKG, (2) DISTZ, or (3) MPKG package filename.

Impact

CVSS base score 7.6 CVSS impact score 10.0 CVSS exploitability score 4.9 confidentialityImpact COMPLETE integrityImpact COMPLETE availabilityImpact COMPLETE

CVE-2007-0465:

CVSS base score 7.6

CVSS impact score 10.0

CVSS exploitability score 4.9

Confidentiality Impact COMPLETE

Integrity Impact COMPLETE

Availability Impact COMPLETE

Detailed information

CVE-2007-0465: Format string vulnerability in Apple Installer 2.1.5 on Mac OS X 10.4.8 allows user-assisted remote attackers to execute arbitrary code via format string specifiers in a (1) PKG, (2) DISTZ, or (3) MPKG package filename.

Affected systems

  • apple installer 2.1.5
  • apple macosx 10.4.8

Ease of attack

CVE-2007-0465:

Access Vector NETWORK

Access Complexity HIGH

Authentication NONE

False positives

None known

False negatives

None known

Corrective action

Upgrade to the latest non-affected version of the software.

Apply the appropriate vendor supplied patches.

Contributors

  • Talos research team.
  • This document was generated from data supplied by the national vulnerability database, a product of the national institute of standards and technology.
  • For more information see nvd.

Additional References